<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Анимация</title>
	<link rel="stylesheet" href="style.css">
</head>
<body>
	<!-- 1 (transition) анимировать кнопку произвольной формы и размеров следующим образом
			По умолчанию цвет фона – желтый;
	      По наведению курсора – зеленый;
	     	В активном состоянии (нажатие) коричневый.
	     	Смена цвета должна происходить плавно в течение 2х секунд.  -->
  	<button class="btn">я кнопка</button>  
	<!--2 (transition) анимировать блок произвольных размеров следующим образом:
	    В исходном состоянии 80% блока находится за пределами экрана слева, виден лишь край 20%;
	    По наведению на видимый «кусочек» блока он смещается вправо таким образом, что становится полностью видим;
	    Когда курсор мыши уходит за пределы блока, он возвращается в свое исходное состояние.
	    Изменение положения блока должно происходить плавно (время подобрать произвольно). -->  
	<div class="myblock"><h2>i'm block</h2>
		<p>menubar 1</p>
		<p>menubar 2</p>
		<p>menubar 3</p>
		<p>menubar 4</p>
		<p>menubar 5</p>		
	</div>

  	<button class="btn btnPausedAnimate">Остановить / Продолжить анимацию</button>  
<!-- 3. (animations) анимировать движение автомобиля вдоль трассы 
(можно взять автомобиль и фон из приложенного архива, можно взять любые другие из 
интернета или отрисованные самостоятельно, по желанию):
Автомобиль начинает движение через 2 секунды после перехода на страницу, слева направо;
Когда автомобиль достигнет правого края экрана, он начинает движение задним ходом, и 
достигнув середины экрана, останавливается(конец анимации);
Если во время движения навести курсор на автомобиль – он останавливается, а при уведении
 курсора за пределы – продолжает свое движение согласно вышеописанному алгоритму.
-->
<img class="car" src="img/auto.png" alt="car">

<script>
var car = document.querySelector('.car');
var btnPausedAnimate = document.querySelector('.btnPausedAnimate');

btnPausedAnimate.addEventListener('click', function(){
	car.classList.toggle('pauseAnimation');
});
 
</script>

 

</body>
</html>